#pragma once
#include "LuaCompat.h"
#include <SDL.h>

static void initLuaSDLKeys(lua_State *L)
{
#define LCONST(v) lua_pushinteger(L, int(v)); lua_setfield(L, -2, #v)
	LCONST(SDL_SCANCODE_UNKNOWN);
	LCONST(SDL_SCANCODE_A);
	LCONST(SDL_SCANCODE_B);
	LCONST(SDL_SCANCODE_C);
	LCONST(SDL_SCANCODE_D);
	LCONST(SDL_SCANCODE_E);
	LCONST(SDL_SCANCODE_F);
	LCONST(SDL_SCANCODE_G);
	LCONST(SDL_SCANCODE_H);
	LCONST(SDL_SCANCODE_I);
	LCONST(SDL_SCANCODE_J);
	LCONST(SDL_SCANCODE_K);
	LCONST(SDL_SCANCODE_L);
	LCONST(SDL_SCANCODE_M);
	LCONST(SDL_SCANCODE_N);
	LCONST(SDL_SCANCODE_O);
	LCONST(SDL_SCANCODE_P);
	LCONST(SDL_SCANCODE_Q);
	LCONST(SDL_SCANCODE_R);
	LCONST(SDL_SCANCODE_S);
	LCONST(SDL_SCANCODE_T);
	LCONST(SDL_SCANCODE_U);
	LCONST(SDL_SCANCODE_V);
	LCONST(SDL_SCANCODE_W);
	LCONST(SDL_SCANCODE_X);
	LCONST(SDL_SCANCODE_Y);
	LCONST(SDL_SCANCODE_Z);
	LCONST(SDL_SCANCODE_1);
	LCONST(SDL_SCANCODE_2);
	LCONST(SDL_SCANCODE_3);
	LCONST(SDL_SCANCODE_4);
	LCONST(SDL_SCANCODE_5);
	LCONST(SDL_SCANCODE_6);
	LCONST(SDL_SCANCODE_7);
	LCONST(SDL_SCANCODE_8);
	LCONST(SDL_SCANCODE_9);
	LCONST(SDL_SCANCODE_0);
	LCONST(SDL_SCANCODE_RETURN);
	LCONST(SDL_SCANCODE_ESCAPE);
	LCONST(SDL_SCANCODE_BACKSPACE);
	LCONST(SDL_SCANCODE_TAB);
	LCONST(SDL_SCANCODE_SPACE);
	LCONST(SDL_SCANCODE_MINUS);
	LCONST(SDL_SCANCODE_EQUALS);
	LCONST(SDL_SCANCODE_LEFTBRACKET);
	LCONST(SDL_SCANCODE_RIGHTBRACKET);
	LCONST(SDL_SCANCODE_BACKSLASH);
	LCONST(SDL_SCANCODE_NONUSHASH);
	LCONST(SDL_SCANCODE_SEMICOLON);
	LCONST(SDL_SCANCODE_APOSTROPHE);
	LCONST(SDL_SCANCODE_GRAVE);
	LCONST(SDL_SCANCODE_COMMA);
	LCONST(SDL_SCANCODE_PERIOD);
	LCONST(SDL_SCANCODE_SLASH);
	LCONST(SDL_SCANCODE_CAPSLOCK);
	LCONST(SDL_SCANCODE_F1);
	LCONST(SDL_SCANCODE_F2);
	LCONST(SDL_SCANCODE_F3);
	LCONST(SDL_SCANCODE_F4);
	LCONST(SDL_SCANCODE_F5);
	LCONST(SDL_SCANCODE_F6);
	LCONST(SDL_SCANCODE_F7);
	LCONST(SDL_SCANCODE_F8);
	LCONST(SDL_SCANCODE_F9);
	LCONST(SDL_SCANCODE_F10);
	LCONST(SDL_SCANCODE_F11);
	LCONST(SDL_SCANCODE_F12);
	LCONST(SDL_SCANCODE_PRINTSCREEN);
	LCONST(SDL_SCANCODE_SCROLLLOCK);
	LCONST(SDL_SCANCODE_PAUSE);
	LCONST(SDL_SCANCODE_INSERT);
	LCONST(SDL_SCANCODE_HOME);
	LCONST(SDL_SCANCODE_PAGEUP);
	LCONST(SDL_SCANCODE_DELETE);
	LCONST(SDL_SCANCODE_END);
	LCONST(SDL_SCANCODE_PAGEDOWN);
	LCONST(SDL_SCANCODE_RIGHT);
	LCONST(SDL_SCANCODE_LEFT);
	LCONST(SDL_SCANCODE_DOWN);
	LCONST(SDL_SCANCODE_UP);
	LCONST(SDL_SCANCODE_NUMLOCKCLEAR);
	LCONST(SDL_SCANCODE_KP_DIVIDE);
	LCONST(SDL_SCANCODE_KP_MULTIPLY);
	LCONST(SDL_SCANCODE_KP_MINUS);
	LCONST(SDL_SCANCODE_KP_PLUS);
	LCONST(SDL_SCANCODE_KP_ENTER);
	LCONST(SDL_SCANCODE_KP_1);
	LCONST(SDL_SCANCODE_KP_2);
	LCONST(SDL_SCANCODE_KP_3);
	LCONST(SDL_SCANCODE_KP_4);
	LCONST(SDL_SCANCODE_KP_5);
	LCONST(SDL_SCANCODE_KP_6);
	LCONST(SDL_SCANCODE_KP_7);
	LCONST(SDL_SCANCODE_KP_8);
	LCONST(SDL_SCANCODE_KP_9);
	LCONST(SDL_SCANCODE_KP_0);
	LCONST(SDL_SCANCODE_KP_PERIOD);
	LCONST(SDL_SCANCODE_NONUSBACKSLASH);
	LCONST(SDL_SCANCODE_APPLICATION);
	LCONST(SDL_SCANCODE_POWER);
	LCONST(SDL_SCANCODE_KP_EQUALS);
	LCONST(SDL_SCANCODE_F13);
	LCONST(SDL_SCANCODE_F14);
	LCONST(SDL_SCANCODE_F15);
	LCONST(SDL_SCANCODE_F16);
	LCONST(SDL_SCANCODE_F17);
	LCONST(SDL_SCANCODE_F18);
	LCONST(SDL_SCANCODE_F19);
	LCONST(SDL_SCANCODE_F20);
	LCONST(SDL_SCANCODE_F21);
	LCONST(SDL_SCANCODE_F22);
	LCONST(SDL_SCANCODE_F23);
	LCONST(SDL_SCANCODE_F24);
	LCONST(SDL_SCANCODE_EXECUTE);
	LCONST(SDL_SCANCODE_HELP);
	LCONST(SDL_SCANCODE_MENU);
	LCONST(SDL_SCANCODE_SELECT);
	LCONST(SDL_SCANCODE_STOP);
	LCONST(SDL_SCANCODE_AGAIN);
	LCONST(SDL_SCANCODE_UNDO);
	LCONST(SDL_SCANCODE_CUT);
	LCONST(SDL_SCANCODE_COPY);
	LCONST(SDL_SCANCODE_PASTE);
	LCONST(SDL_SCANCODE_FIND);
	LCONST(SDL_SCANCODE_MUTE);
	LCONST(SDL_SCANCODE_VOLUMEUP);
	LCONST(SDL_SCANCODE_VOLUMEDOWN);
	LCONST(SDL_SCANCODE_KP_COMMA);
	LCONST(SDL_SCANCODE_KP_EQUALSAS400);
	LCONST(SDL_SCANCODE_INTERNATIONAL1);
	LCONST(SDL_SCANCODE_INTERNATIONAL2);
	LCONST(SDL_SCANCODE_INTERNATIONAL3);
	LCONST(SDL_SCANCODE_INTERNATIONAL4);
	LCONST(SDL_SCANCODE_INTERNATIONAL5);
	LCONST(SDL_SCANCODE_INTERNATIONAL6);
	LCONST(SDL_SCANCODE_INTERNATIONAL7);
	LCONST(SDL_SCANCODE_INTERNATIONAL8);
	LCONST(SDL_SCANCODE_INTERNATIONAL9);
	LCONST(SDL_SCANCODE_LANG1);
	LCONST(SDL_SCANCODE_LANG2);
	LCONST(SDL_SCANCODE_LANG3);
	LCONST(SDL_SCANCODE_LANG4);
	LCONST(SDL_SCANCODE_LANG5);
	LCONST(SDL_SCANCODE_LANG6);
	LCONST(SDL_SCANCODE_LANG7);
	LCONST(SDL_SCANCODE_LANG8);
	LCONST(SDL_SCANCODE_LANG9);
	LCONST(SDL_SCANCODE_ALTERASE);
	LCONST(SDL_SCANCODE_SYSREQ);
	LCONST(SDL_SCANCODE_CANCEL);
	LCONST(SDL_SCANCODE_CLEAR);
	LCONST(SDL_SCANCODE_PRIOR);
	LCONST(SDL_SCANCODE_RETURN2);
	LCONST(SDL_SCANCODE_SEPARATOR);
	LCONST(SDL_SCANCODE_OUT);
	LCONST(SDL_SCANCODE_OPER);
	LCONST(SDL_SCANCODE_CLEARAGAIN);
	LCONST(SDL_SCANCODE_CRSEL);
	LCONST(SDL_SCANCODE_EXSEL);
	LCONST(SDL_SCANCODE_KP_00);
	LCONST(SDL_SCANCODE_KP_000);
	LCONST(SDL_SCANCODE_THOUSANDSSEPARATOR);
	LCONST(SDL_SCANCODE_DECIMALSEPARATOR);
	LCONST(SDL_SCANCODE_CURRENCYUNIT);
	LCONST(SDL_SCANCODE_CURRENCYSUBUNIT);
	LCONST(SDL_SCANCODE_KP_LEFTPAREN);
	LCONST(SDL_SCANCODE_KP_RIGHTPAREN);
	LCONST(SDL_SCANCODE_KP_LEFTBRACE);
	LCONST(SDL_SCANCODE_KP_RIGHTBRACE);
	LCONST(SDL_SCANCODE_KP_TAB);
	LCONST(SDL_SCANCODE_KP_BACKSPACE);
	LCONST(SDL_SCANCODE_KP_A);
	LCONST(SDL_SCANCODE_KP_B);
	LCONST(SDL_SCANCODE_KP_C);
	LCONST(SDL_SCANCODE_KP_D);
	LCONST(SDL_SCANCODE_KP_E);
	LCONST(SDL_SCANCODE_KP_F);
	LCONST(SDL_SCANCODE_KP_XOR);
	LCONST(SDL_SCANCODE_KP_POWER);
	LCONST(SDL_SCANCODE_KP_PERCENT);
	LCONST(SDL_SCANCODE_KP_LESS);
	LCONST(SDL_SCANCODE_KP_GREATER);
	LCONST(SDL_SCANCODE_KP_AMPERSAND);
	LCONST(SDL_SCANCODE_KP_DBLAMPERSAND);
	LCONST(SDL_SCANCODE_KP_VERTICALBAR);
	LCONST(SDL_SCANCODE_KP_DBLVERTICALBAR);
	LCONST(SDL_SCANCODE_KP_COLON);
	LCONST(SDL_SCANCODE_KP_HASH);
	LCONST(SDL_SCANCODE_KP_SPACE);
	LCONST(SDL_SCANCODE_KP_AT);
	LCONST(SDL_SCANCODE_KP_EXCLAM);
	LCONST(SDL_SCANCODE_KP_MEMSTORE);
	LCONST(SDL_SCANCODE_KP_MEMRECALL);
	LCONST(SDL_SCANCODE_KP_MEMCLEAR);
	LCONST(SDL_SCANCODE_KP_MEMADD);
	LCONST(SDL_SCANCODE_KP_MEMSUBTRACT);
	LCONST(SDL_SCANCODE_KP_MEMMULTIPLY);
	LCONST(SDL_SCANCODE_KP_MEMDIVIDE);
	LCONST(SDL_SCANCODE_KP_PLUSMINUS);
	LCONST(SDL_SCANCODE_KP_CLEAR);
	LCONST(SDL_SCANCODE_KP_CLEARENTRY);
	LCONST(SDL_SCANCODE_KP_BINARY);
	LCONST(SDL_SCANCODE_KP_OCTAL);
	LCONST(SDL_SCANCODE_KP_DECIMAL);
	LCONST(SDL_SCANCODE_KP_HEXADECIMAL);
	LCONST(SDL_SCANCODE_LCTRL);
	LCONST(SDL_SCANCODE_LSHIFT);
	LCONST(SDL_SCANCODE_LALT);
	LCONST(SDL_SCANCODE_LGUI);
	LCONST(SDL_SCANCODE_RCTRL);
	LCONST(SDL_SCANCODE_RSHIFT);
	LCONST(SDL_SCANCODE_RALT);
	LCONST(SDL_SCANCODE_RGUI);
	LCONST(SDL_SCANCODE_MODE);
	LCONST(SDL_SCANCODE_AUDIONEXT);
	LCONST(SDL_SCANCODE_AUDIOPREV);
	LCONST(SDL_SCANCODE_AUDIOSTOP);
	LCONST(SDL_SCANCODE_AUDIOPLAY);
	LCONST(SDL_SCANCODE_AUDIOMUTE);
	LCONST(SDL_SCANCODE_MEDIASELECT);
	LCONST(SDL_SCANCODE_WWW);
	LCONST(SDL_SCANCODE_MAIL);
	LCONST(SDL_SCANCODE_CALCULATOR);
	LCONST(SDL_SCANCODE_COMPUTER);
	LCONST(SDL_SCANCODE_AC_SEARCH);
	LCONST(SDL_SCANCODE_AC_HOME);
	LCONST(SDL_SCANCODE_AC_BACK);
	LCONST(SDL_SCANCODE_AC_FORWARD);
	LCONST(SDL_SCANCODE_AC_STOP);
	LCONST(SDL_SCANCODE_AC_REFRESH);
	LCONST(SDL_SCANCODE_AC_BOOKMARKS);
	LCONST(SDL_SCANCODE_BRIGHTNESSDOWN);
	LCONST(SDL_SCANCODE_BRIGHTNESSUP);
	LCONST(SDL_SCANCODE_DISPLAYSWITCH);
	LCONST(SDL_SCANCODE_KBDILLUMTOGGLE);
	LCONST(SDL_SCANCODE_KBDILLUMDOWN);
	LCONST(SDL_SCANCODE_KBDILLUMUP);
	LCONST(SDL_SCANCODE_EJECT);
	LCONST(SDL_SCANCODE_SLEEP);
	LCONST(SDL_SCANCODE_APP1);
	LCONST(SDL_SCANCODE_APP2);
	LCONST(SDL_SCANCODE_AUDIOREWIND);
	LCONST(SDL_SCANCODE_AUDIOFASTFORWARD);
	LCONST(SDL_NUM_SCANCODES);
	LCONST(SDLK_UNKNOWN);
	LCONST(SDLK_RETURN);
	LCONST(SDLK_ESCAPE);
	LCONST(SDLK_BACKSPACE);
	LCONST(SDLK_TAB);
	LCONST(SDLK_SPACE);
	LCONST(SDLK_EXCLAIM);
	LCONST(SDLK_QUOTEDBL);
	LCONST(SDLK_HASH);
	LCONST(SDLK_PERCENT);
	LCONST(SDLK_DOLLAR);
	LCONST(SDLK_AMPERSAND);
	LCONST(SDLK_QUOTE);
	LCONST(SDLK_LEFTPAREN);
	LCONST(SDLK_RIGHTPAREN);
	LCONST(SDLK_ASTERISK);
	LCONST(SDLK_PLUS);
	LCONST(SDLK_COMMA);
	LCONST(SDLK_MINUS);
	LCONST(SDLK_PERIOD);
	LCONST(SDLK_SLASH);
	LCONST(SDLK_0);
	LCONST(SDLK_1);
	LCONST(SDLK_2);
	LCONST(SDLK_3);
	LCONST(SDLK_4);
	LCONST(SDLK_5);
	LCONST(SDLK_6);
	LCONST(SDLK_7);
	LCONST(SDLK_8);
	LCONST(SDLK_9);
	LCONST(SDLK_COLON);
	LCONST(SDLK_SEMICOLON);
	LCONST(SDLK_LESS);
	LCONST(SDLK_EQUALS);
	LCONST(SDLK_GREATER);
	LCONST(SDLK_QUESTION);
	LCONST(SDLK_AT);
	LCONST(SDLK_LEFTBRACKET);
	LCONST(SDLK_BACKSLASH);
	LCONST(SDLK_RIGHTBRACKET);
	LCONST(SDLK_CARET);
	LCONST(SDLK_UNDERSCORE);
	LCONST(SDLK_BACKQUOTE);
	LCONST(SDLK_a);
	LCONST(SDLK_b);
	LCONST(SDLK_c);
	LCONST(SDLK_d);
	LCONST(SDLK_e);
	LCONST(SDLK_f);
	LCONST(SDLK_g);
	LCONST(SDLK_h);
	LCONST(SDLK_i);
	LCONST(SDLK_j);
	LCONST(SDLK_k);
	LCONST(SDLK_l);
	LCONST(SDLK_m);
	LCONST(SDLK_n);
	LCONST(SDLK_o);
	LCONST(SDLK_p);
	LCONST(SDLK_q);
	LCONST(SDLK_r);
	LCONST(SDLK_s);
	LCONST(SDLK_t);
	LCONST(SDLK_u);
	LCONST(SDLK_v);
	LCONST(SDLK_w);
	LCONST(SDLK_x);
	LCONST(SDLK_y);
	LCONST(SDLK_z);
	LCONST(SDLK_CAPSLOCK);
	LCONST(SDLK_F1);
	LCONST(SDLK_F2);
	LCONST(SDLK_F3);
	LCONST(SDLK_F4);
	LCONST(SDLK_F5);
	LCONST(SDLK_F6);
	LCONST(SDLK_F7);
	LCONST(SDLK_F8);
	LCONST(SDLK_F9);
	LCONST(SDLK_F10);
	LCONST(SDLK_F11);
	LCONST(SDLK_F12);
	LCONST(SDLK_PRINTSCREEN);
	LCONST(SDLK_SCROLLLOCK);
	LCONST(SDLK_PAUSE);
	LCONST(SDLK_INSERT);
	LCONST(SDLK_HOME);
	LCONST(SDLK_PAGEUP);
	LCONST(SDLK_DELETE);
	LCONST(SDLK_END);
	LCONST(SDLK_PAGEDOWN);
	LCONST(SDLK_RIGHT);
	LCONST(SDLK_LEFT);
	LCONST(SDLK_DOWN);
	LCONST(SDLK_UP);
	LCONST(SDLK_NUMLOCKCLEAR);
	LCONST(SDLK_KP_DIVIDE);
	LCONST(SDLK_KP_MULTIPLY);
	LCONST(SDLK_KP_MINUS);
	LCONST(SDLK_KP_PLUS);
	LCONST(SDLK_KP_ENTER);
	LCONST(SDLK_KP_1);
	LCONST(SDLK_KP_2);
	LCONST(SDLK_KP_3);
	LCONST(SDLK_KP_4);
	LCONST(SDLK_KP_5);
	LCONST(SDLK_KP_6);
	LCONST(SDLK_KP_7);
	LCONST(SDLK_KP_8);
	LCONST(SDLK_KP_9);
	LCONST(SDLK_KP_0);
	LCONST(SDLK_KP_PERIOD);
	LCONST(SDLK_APPLICATION);
	LCONST(SDLK_POWER);
	LCONST(SDLK_KP_EQUALS);
	LCONST(SDLK_F13);
	LCONST(SDLK_F14);
	LCONST(SDLK_F15);
	LCONST(SDLK_F16);
	LCONST(SDLK_F17);
	LCONST(SDLK_F18);
	LCONST(SDLK_F19);
	LCONST(SDLK_F20);
	LCONST(SDLK_F21);
	LCONST(SDLK_F22);
	LCONST(SDLK_F23);
	LCONST(SDLK_F24);
	LCONST(SDLK_EXECUTE);
	LCONST(SDLK_HELP);
	LCONST(SDLK_MENU);
	LCONST(SDLK_SELECT);
	LCONST(SDLK_STOP);
	LCONST(SDLK_AGAIN);
	LCONST(SDLK_UNDO);
	LCONST(SDLK_CUT);
	LCONST(SDLK_COPY);
	LCONST(SDLK_PASTE);
	LCONST(SDLK_FIND);
	LCONST(SDLK_MUTE);
	LCONST(SDLK_VOLUMEUP);
	LCONST(SDLK_VOLUMEDOWN);
	LCONST(SDLK_KP_COMMA);
	LCONST(SDLK_KP_EQUALSAS400);
	LCONST(SDLK_ALTERASE);
	LCONST(SDLK_SYSREQ);
	LCONST(SDLK_CANCEL);
	LCONST(SDLK_CLEAR);
	LCONST(SDLK_PRIOR);
	LCONST(SDLK_RETURN2);
	LCONST(SDLK_SEPARATOR);
	LCONST(SDLK_OUT);
	LCONST(SDLK_OPER);
	LCONST(SDLK_CLEARAGAIN);
	LCONST(SDLK_CRSEL);
	LCONST(SDLK_EXSEL);
	LCONST(SDLK_KP_00);
	LCONST(SDLK_KP_000);
	LCONST(SDLK_THOUSANDSSEPARATOR);
	LCONST(SDLK_DECIMALSEPARATOR);
	LCONST(SDLK_CURRENCYUNIT);
	LCONST(SDLK_CURRENCYSUBUNIT);
	LCONST(SDLK_KP_LEFTPAREN);
	LCONST(SDLK_KP_RIGHTPAREN);
	LCONST(SDLK_KP_LEFTBRACE);
	LCONST(SDLK_KP_RIGHTBRACE);
	LCONST(SDLK_KP_TAB);
	LCONST(SDLK_KP_BACKSPACE);
	LCONST(SDLK_KP_A);
	LCONST(SDLK_KP_B);
	LCONST(SDLK_KP_C);
	LCONST(SDLK_KP_D);
	LCONST(SDLK_KP_E);
	LCONST(SDLK_KP_F);
	LCONST(SDLK_KP_XOR);
	LCONST(SDLK_KP_POWER);
	LCONST(SDLK_KP_PERCENT);
	LCONST(SDLK_KP_LESS);
	LCONST(SDLK_KP_GREATER);
	LCONST(SDLK_KP_AMPERSAND);
	LCONST(SDLK_KP_DBLAMPERSAND);
	LCONST(SDLK_KP_VERTICALBAR);
	LCONST(SDLK_KP_DBLVERTICALBAR);
	LCONST(SDLK_KP_COLON);
	LCONST(SDLK_KP_HASH);
	LCONST(SDLK_KP_SPACE);
	LCONST(SDLK_KP_AT);
	LCONST(SDLK_KP_EXCLAM);
	LCONST(SDLK_KP_MEMSTORE);
	LCONST(SDLK_KP_MEMRECALL);
	LCONST(SDLK_KP_MEMCLEAR);
	LCONST(SDLK_KP_MEMADD);
	LCONST(SDLK_KP_MEMSUBTRACT);
	LCONST(SDLK_KP_MEMMULTIPLY);
	LCONST(SDLK_KP_MEMDIVIDE);
	LCONST(SDLK_KP_PLUSMINUS);
	LCONST(SDLK_KP_CLEAR);
	LCONST(SDLK_KP_CLEARENTRY);
	LCONST(SDLK_KP_BINARY);
	LCONST(SDLK_KP_OCTAL);
	LCONST(SDLK_KP_DECIMAL);
	LCONST(SDLK_KP_HEXADECIMAL);
	LCONST(SDLK_LCTRL);
	LCONST(SDLK_LSHIFT);
	LCONST(SDLK_LALT);
	LCONST(SDLK_LGUI);
	LCONST(SDLK_RCTRL);
	LCONST(SDLK_RSHIFT);
	LCONST(SDLK_RALT);
	LCONST(SDLK_RGUI);
	LCONST(SDLK_MODE);
	LCONST(SDLK_AUDIONEXT);
	LCONST(SDLK_AUDIOPREV);
	LCONST(SDLK_AUDIOSTOP);
	LCONST(SDLK_AUDIOPLAY);
	LCONST(SDLK_AUDIOMUTE);
	LCONST(SDLK_MEDIASELECT);
	LCONST(SDLK_WWW);
	LCONST(SDLK_MAIL);
	LCONST(SDLK_CALCULATOR);
	LCONST(SDLK_COMPUTER);
	LCONST(SDLK_AC_SEARCH);
	LCONST(SDLK_AC_HOME);
	LCONST(SDLK_AC_BACK);
	LCONST(SDLK_AC_FORWARD);
	LCONST(SDLK_AC_STOP);
	LCONST(SDLK_AC_REFRESH);
	LCONST(SDLK_AC_BOOKMARKS);
	LCONST(SDLK_BRIGHTNESSDOWN);
	LCONST(SDLK_BRIGHTNESSUP);
	LCONST(SDLK_DISPLAYSWITCH);
	LCONST(SDLK_KBDILLUMTOGGLE);
	LCONST(SDLK_KBDILLUMDOWN);
	LCONST(SDLK_KBDILLUMUP);
	LCONST(SDLK_EJECT);
	LCONST(SDLK_SLEEP);
	LCONST(SDLK_APP1);
	LCONST(SDLK_APP2);
	LCONST(SDLK_AUDIOREWIND);
	LCONST(SDLK_AUDIOFASTFORWARD);
	LCONST(KMOD_NONE);
	LCONST(KMOD_LSHIFT);
	LCONST(KMOD_RSHIFT);
	LCONST(KMOD_LCTRL);
	LCONST(KMOD_RCTRL);
	LCONST(KMOD_LALT);
	LCONST(KMOD_RALT);
	LCONST(KMOD_LGUI);
	LCONST(KMOD_RGUI);
	LCONST(KMOD_NUM);
	LCONST(KMOD_CAPS);
	LCONST(KMOD_MODE);
	LCONST(KMOD_CTRL);
	LCONST(KMOD_SHIFT);
	LCONST(KMOD_ALT);
	LCONST(KMOD_GUI);
	LCONST(SDL_BUTTON_LEFT);
	LCONST(SDL_BUTTON_MIDDLE);
	LCONST(SDL_BUTTON_RIGHT);
	LCONST(SDL_BUTTON_X1);
	LCONST(SDL_BUTTON_X2);
#undef LCONST
}
